package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtApproval;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtApprovalDao {

    /**
     * 添加数据
     */
    int insert(PtApproval ptApproval);

    /**
     * 查询数据
     */
    List<PtApproval> selectByPrimaryKey(PtApproval ptApproval);

    List<PtApproval> selectBySrvId(PtApproval ptApproval);

    /**
    * 按主键更新数据
    */
    int updateByPrimaryKey(PtApproval ptApproval);

    /**
    * 按主键删除数据-物理删除
    */
    int deleteByPrimaryKey(String id);

}
